MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025745Open CASCADE[OCCT] OCCT:Configurationpublic2015-01-23 16:102015-05-14 15:30
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformMacOSOSOS VersionX
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025745: Porting to iOS
DescriptionIt is necessary to port OCCT to iOS platform.
This is meta task to group more specific tasks.
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships
parent of 0025744closedbugmaster XCode projects generator - add extraction options 
parent of 0025963closedapn Define HashCode() for an unsigned int within armv7 target 
parent of 0026165closedabv Visualization, TKOpenGl - fix FBO blitting on some mobile devices 
related to 0025146closedbugmaster Porting to Android 

-  Notes
(0036450)
git (administrator)
2015-01-23 16:18

Branch CR25745_1 has been created by kgv.

SHA-1: 76bd47739a555c27bedaa05a67170402cc5b78f5


Detailed log of new commits:

Author: kgv
Date: Fri Jan 23 16:19:55 2015 +0300

    Disable Draw and TKNIS

Author: kgv
Date: Fri Jan 23 16:19:21 2015 +0300

    OpenGl_Context - support EAGLContext as alternative to NSOpenGLContext
(0037165)
git (administrator)
2015-02-06 08:30

Branch CR25745_1 has been updated by kgv.

SHA-1: 58f7576b2e80e6d8b0d6cddb328f8b6bc93678ef


Detailed log of new commits:

Author: kgv
Date: Fri Feb 6 08:33:15 2015 +0300

    handle bridged cast

(0037166)
git (administrator)
2015-02-06 08:34

Branch CR25745_1 has been updated by kgv.

SHA-1: 885f63c1e7b3992a1b560f44b4c84754471fe688


Detailed log of new commits:

Author: kgv
Date: Fri Feb 6 08:36:37 2015 +0300

    OpenGl_Context - load OpenGLES library

(0037923)
git (administrator)
2015-02-26 14:19

Branch CR25745_1 has been updated by kgv.

SHA-1: 27f1e18525e3e5211a2feb00155d84bbb6205732


Detailed log of new commits:

Author: kgv
Date: Thu Feb 26 14:21:19 2015 +0300

    OpenGl_Window - bind RGB render buffer at the end, to fix presentRenderbuffer from GL_RENDERBUFFER

(0037926)
git (administrator)
2015-02-26 15:21

Branch CR25745_2 has been created by kgv.

SHA-1: f55191f0ed31e0186ab33476b5cd6c76a97a9873


Detailed log of new commits:

Author: kgv
Date: Fri Jan 23 16:19:55 2015 +0300

    Disable Draw and TKNIS

Author: kgv
Date: Thu Feb 26 15:20:20 2015 +0300

    OpenGl_Context - support EAGLContext as alternative to NSOpenGLContext
(0037957)
git (administrator)
2015-02-27 17:38

Branch CR25745_2 has been updated by kgv.

SHA-1: ddca7e45cc31f1ee00310ff32d0c47a6222c25da


Detailed log of new commits:

Author: kgv
Date: Fri Feb 27 17:41:11 2015 +0300

    OpenGl_FrameBuffer::InitWithRB() - add method to initialize FBO with Render Buffer Objects

Author: kgv
Date: Thu Feb 26 15:45:19 2015 +0300

    fix compilation on GLES

(0038087)
git (administrator)
2015-03-04 16:13

Branch CR25745_2 has been updated by kgv.

SHA-1: 923d51323cc2e6d61fe9cfd30693c9630943712b


Detailed log of new commits:

Author: kgv
Date: Wed Mar 4 16:16:42 2015 +0300

    OSD_EnvironmentIterator - do not use _NSGetEnviron() on iOS

(0038197)
git (administrator)
2015-03-06 18:10

Branch CR25745_3 has been created by kgv.

SHA-1: f4fc8f144c4d8bad82060024759e26412fab76c4


Detailed log of new commits:

Author: kgv
Date: Wed Mar 4 16:16:42 2015 +0300

    OSD_EnvironmentIterator - do not use _NSGetEnviron() on iOS

Author: kgv
Date: Fri Feb 27 17:41:11 2015 +0300

    OpenGl_Context - support EAGLContext as alternative to NSOpenGLContext
    OpenGl_FrameBuffer::InitWithRB() - add method to initialize FBO with Render Buffer Objects.

Author: kgv
Date: Fri Jan 23 16:19:55 2015 +0300

    Disable Draw and TKNIS
(0038202)
git (administrator)
2015-03-06 18:52

Branch CR25745_4 has been created by kgv.

SHA-1: bb4d2f8200529440ee1113a7b018a41f0c9cd7c4


Detailed log of new commits:

Author: kgv
Date: Fri Mar 6 18:53:12 2015 +0300

    OpenGl_Context - support EAGLContext as alternative to NSOpenGLContext
    OpenGl_FrameBuffer::InitWithRB() - add method to initialize FBO with Render Buffer Objects.

Author: kgv
Date: Wed Mar 4 16:16:42 2015 +0300

    OSD_EnvironmentIterator - do not use _NSGetEnviron() on iOS

Author: kgv
Date: Fri Jan 23 16:19:55 2015 +0300

    Disable Draw and TKNIS
(0038227)
Istvan Csanady (updater)
2015-03-10 16:00

It would be really nice to have the Xcode projects parameterized with .xcconfig files. That would make easier to change any parameter (without tinkering with osutils.tcl), and would also allow us to use the same project templates for both iOS and Mac, only the .xcconfig files should be changed.
(0038780)
git (administrator)
2015-03-23 10:45

Branch CR25745_4 has been updated by kgv.

SHA-1: 02a99a48e0db58651ab136fc0b0d1951950a14ba


Detailed log of new commits:

Author: kgv
Date: Mon Mar 23 10:49:32 2015 +0300

    Aspect_RenderingContext - define type explicitly to EAGLContext* / NSOpenGLContext* for ARC.
    OpenGl_FrameBuffer::InitWrapper() - add new method to initialize FBO from currently bound in context.
    OpenGl_Window - allow initialization from alien context for OS X / iOS.

(0038793)
git (administrator)
2015-03-23 16:39

Branch CR25745_4 has been updated by kgv.

SHA-1: ca47bb8564c4440cc8968d966e0468805e779e70


Detailed log of new commits:

Author: kgv
Date: Mon Mar 23 16:43:08 2015 +0300

    OpenGl_Window::Init() - resize iOS default FBO

(0038799)
git (administrator)
2015-03-23 17:57

Branch CR25745_4 has been updated by kgv.

SHA-1: 42e8c890300ad31f3f3b96d057ef7e42758f1e37


Detailed log of new commits:

Author: kgv
Date: Mon Mar 23 18:00:53 2015 +0300

    OpenGl_Window::Resize() - check logical units for change, not pixels

(0038805)
git (administrator)
2015-03-23 18:41

Branch CR25745_5 has been created by kgv.

SHA-1: 13de3204f6310b5940187ae9e24fbdf1380a85de


Detailed log of new commits:

Author: kgv
Date: Mon Mar 23 18:40:53 2015 +0300

    0025973: Visualization, TKOpenGl - support EAGLContext as alternative to NSOpenGLContext
    
    OpenGl_FrameBuffer::InitWithRB() - add method to initialize FBO with Render Buffer Objects.
    OpenGl_FrameBuffer::InitWrapper() - add new method to initialize FBO from currently bound in context.
    
    Aspect_RenderingContext - define type explicitly to EAGLContext* / NSOpenGLContext* for ARC.
    OpenGl_Window - allow initialization from alien context for OS X / iOS.

Author: kgv
Date: Mon Mar 23 18:37:41 2015 +0300

    0025963: Define HashCode() for an unsigned int within armv7 target
    
    OSD_EnvironmentIterator - do not use _NSGetEnviron() on iOS.

Author: kgv
Date: Fri Jan 23 16:19:55 2015 +0300

    Disable Draw and TKNIS
(0039422)
git (administrator)
2015-04-09 09:22

Branch CR25745_1 has been deleted by kgv.

SHA-1: 27f1e18525e3e5211a2feb00155d84bbb6205732
(0039423)
git (administrator)
2015-04-09 09:22

Branch CR25745_2 has been deleted by kgv.

SHA-1: 923d51323cc2e6d61fe9cfd30693c9630943712b
(0039424)
git (administrator)
2015-04-09 09:22

Branch CR25745_3 has been deleted by kgv.

SHA-1: f4fc8f144c4d8bad82060024759e26412fab76c4
(0039425)
git (administrator)
2015-04-09 09:22

Branch CR25745_4 has been deleted by kgv.

SHA-1: 42e8c890300ad31f3f3b96d057ef7e42758f1e37
(0039426)
git (administrator)
2015-04-09 09:22

Branch CR25745_5 has been deleted by kgv.

SHA-1: 13de3204f6310b5940187ae9e24fbdf1380a85de
(0039465)
kgv (developer)
2015-04-09 10:16

Dear bugmaster,

please switch patch to tested.
All related patches have been integrated.

- Issue History
Date Modified Username Field Change
2015-01-23 16:10 kgv New Issue
2015-01-23 16:10 kgv Assigned To => kgv
2015-01-23 16:10 kgv Relationship added related to 0025146
2015-01-23 16:18 git Note Added: 0036450
2015-01-23 16:19 kgv Relationship added parent of 0025744
2015-02-06 08:30 git Note Added: 0037165
2015-02-06 08:34 git Note Added: 0037166
2015-02-26 14:19 git Note Added: 0037923
2015-02-26 15:21 git Note Added: 0037926
2015-02-27 17:38 git Note Added: 0037957
2015-03-04 16:13 git Note Added: 0038087
2015-03-06 18:10 git Note Added: 0038197
2015-03-06 18:52 git Note Added: 0038202
2015-03-10 16:00 Istvan Csanady Note Added: 0038227
2015-03-20 15:16 kgv Relationship added parent of 0025963
2015-03-23 10:45 git Note Added: 0038780
2015-03-23 16:39 git Note Added: 0038793
2015-03-23 17:57 git Note Added: 0038799
2015-03-23 18:41 git Note Added: 0038805
2015-04-09 09:22 git Note Added: 0039422
2015-04-09 09:22 git Note Added: 0039423
2015-04-09 09:22 git Note Added: 0039424
2015-04-09 09:22 git Note Added: 0039425
2015-04-09 09:22 git Note Added: 0039426
2015-04-09 10:16 kgv Note Added: 0039465
2015-04-09 10:16 kgv Assigned To kgv => bugmaster
2015-04-09 10:16 kgv Status new => resolved
2015-04-09 10:16 kgv Steps to Reproduce Updated View Revisions
2015-04-09 10:16 kgv Status resolved => reviewed
2015-04-15 15:30 bugmaster Status reviewed => verified
2015-04-15 15:30 bugmaster Resolution open => fixed
2015-04-30 14:32 kgv Relationship added parent of 0026165
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:30 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker